# Generated by Django 2.1.4 on 2018-12-19 19:35

from django.conf import settings
import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('questionnaires', '0003_questionnaire_creation_date'),
    ]

    operations = [
        migrations.CreateModel(
            name='OngoingQuestionnaire',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('answers', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=20), size=5)),
                ('questionnaire', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='questionnaires.Questionnaire')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Ongoing questionnaire',
                'verbose_name_plural': 'Ongoing questionnaires',
            },
        ),
        migrations.AlterUniqueTogether(
            name='ongoingquestionnaire',
            unique_together={('user', 'questionnaire')},
        ),
    ]
